cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefano Mazzocchi <stef...@apache.org>
Subject Re: can't build latest CVS
Date Thu, 23 Dec 1999 02:30:53 GMT
Donald Ball wrote:

> ome/balld/src/xml-cocoon/build/src/org/apache/cocoon/producer/ProducerFromFile.java:117:
> Exception java.net.MalformedURLException is never thrown in the body of
> the corresponding try statement.
>         } catch (MalformedURLException e) {
> 
> Whoops, looks like someone's trying to use JSDK-2.[1+] methods again. Are
> we to the point now where we need to have two versions of this class? Can
> ant make that sort of thing happen?

>From now on Cocoon will require Servlet API 2.1+.

Note: will still work perfectly on Servlet API 2.0 servlet engines, but
won't compile with Servlet API 2.0.

I don't think this is a serious limitation. And you?

-- 
Stefano Mazzocchi      One must still have chaos in oneself to be
                          able to give birth to a dancing star.
<stefano@apache.org>                             Friedrich Nietzsche
--------------------------------------------------------------------
 Come to the first official Apache Software Foundation Conference!  
------------------------- http://ApacheCon.Com ---------------------



Mime
View raw message